%define name		xmlface
%define version		1.4.1
%define release		1jpp
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	XMLFace Toolkit
License:	XMLFace Community License
Url:		http://www.xesoft.com/products/xmlface/index.jsp
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	xmlface-1.4.1.zip
NoSource:	0
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
Requires:	jakarta-commons-logging
Requires:	jaxen
Requires:	rhino
Requires:	ognl
Requires:	qdox
Requires:	xmlrpc

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The XMLFace toolkit is a library that allows a developer to 
quickly and easily build GUI based applications through the 
use of XML description files as opposed to using Java code. 
By using XMLFace to build your user interfaces, the developer 
is easier able to visualize the structure and hierarchy of 
their application. XMLFace applications use the 
Model-View-Controller (MVC) paradigm and both the model and 
the view can be defined in the XML. In addition, the 
connections between the model and the view can be included 
in the XML defitions. By using the XMLFace, you can 
dramatically reduce the time and effort needed to develop 
GUI applications. 
XMLFace is unique in that applications developed using the 
toolkit can run with either Swing or SWT. By changing one 
command line setting you can you can decide which windowing 
toolkit you want to use. This allows you to choose the 
windowing toolkit that best runs on your targeted environment 
and best supports the requirements of your application. 


%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package manual
Summary:	Documents for %{name}
Group:		Development/Documentation

%description manual
Documents for %{name}.

%package demo
Summary:	Samples for %{name}
Group:		Development/Documentation

%description demo
Samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c -n %{name}-%{version}
# fix files perms
chmod -R go=u-w *

%build

%install
# bin
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 bin/starter.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-starter.sh
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 lib/xe-relativelayout-lib.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xe-relativelayout-lib-%{version}.jar
install -m 644 lib/xe-xface-core.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xe-xface-core-%{version}.jar
install -m 644 lib/xe-xface-examples.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xe-xface-examples-%{version}.jar
install -m 644 lib/xe-xface-swing.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xe-xface-swing-%{version}.jar
install -m 644 lib/xe-xface-swt.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xe-xface-swt-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -sf %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
rm -rf doc/javadoc

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_bindir}/%{name}-starter.sh
%{_javadir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}

%changelog
* Wed Sep 21 2005 Ralph Apel <r.apel@r-apel.de> 0:1.4.1-1jpp
- First JPackage release

